#!BuildIgnore:          post-build-checks
Name:		nagios-plugins-lsi
Version:	1.1
Release:	6.1
License:	GPL
Source0:	check_mpt
Patch0:		check_mpt.diff
Source1:	check_megaraid_sas
Source2:	check_mpt2sas
Source3:	check_sas2ircu
Source4:	check_lsi_raid
#Patch1:		check_megaraid_sas.diff
Requires:	perl mpt-status >= 1.2.0
Requires:	megacli
Requires:	sas2ircu
# ifarch x86_64 is always false when BuildArch: noarch is set
# we work around this
%if "%{_arch}" == "x86_64"
Requires:	perccli
%endif
Group:		Applications/System
Summary:	LSI Raid Plugin
Provides:	check_mpt
Provides:	check_megaraid_sas
Provides:	check_megaraid
Provides:	check_mpt2sas
Provides:	check_sas2ircu
Provides:	check_lsi_raid

BuildRequires:	perl
BuildRequires:	mpt-status >= 1.2.0
BuildRequires:	megacli
BuildRequires:	sas2ircu
%ifarch x86_64
BuildRequires:	perccli
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
check_mpt gives informations about raid status for LSI Fusion controllers. 
This script rely on mpt-status tool from http://www.drugphish.ch/~ratz/mpt-status/ MPT Fusion raid inquiry tool. 

check_megaraid_sas uses MegaCLI to check raid status.

check_sas2ircu uses sas2ircu to check raid status.

check_mpt2sas is a low level check for mpt2sas based devices using procfs and scsi generic.

check_lsi_raid uses perccli to check raid status.

%prep
%setup -c -T
cp %{S:0} $RPM_BUILD_DIR/%{name}-%{version}/
%patch0
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/
##patch1
cp %{S:2} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{S:3} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{S:4} $RPM_BUILD_DIR/%{name}-%{version}/

%build

%install
%__install -m 755 -d %{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_mpt	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_megaraid_sas	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_mpt2sas	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_sas2ircu %{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_lsi_raid %{buildroot}/usr/lib/nagios/plugins/

%files
%defattr(-,root,root,0755)
/usr/lib/nagios/plugins/check_mpt
/usr/lib/nagios/plugins/check_mpt2sas
/usr/lib/nagios/plugins/check_megaraid_sas
/usr/lib/nagios/plugins/check_sas2ircu
/usr/lib/nagios/plugins/check_lsi_raid

%changelog
* Mon Jan  2 2023 Carsten Schöne <carsten.schoene@internetx.com>
- replace draft plugin check_percraid_sas with patched version check_lsi_raid
* Mon Jan  2 2023 Carsten Schöne <carsten.schoene@internetx.com>
- add initial (draft) check_percraid_sas plugin which uses perccli instead of megacli
* Mon Mar 11 2019 Local OBS User <cs@linux-administrator.com>
- update check_megaraid_sas plugin
